/* 
   Ed Cashin, cashin
   CS 202, Summer 1998
   Lab: M/W - 6th
   
   Prof. E. M. Lether
   Program #4
   Due:	Monday, August 3
   
   xmalloc.h --
   Makes the xmalloc.c functions accessible from other files.

   (This file was written June 21, before the assignment, but is handy
   for calling malloc-type functions without having to type error
   checking every time.)  */

#ifndef		XMALLOC_H
#define		XMALLOC_H

#include	<stdlib.h>

#define		THIS_FUNC	__FUNCTION__

void *xmalloc(size_t bytes);
void *xrealloc(void *mem, size_t bytes, char *caller);
char *xstrdup(const char*str);
void xfree(void *old_mem);
void nullcheck(void *ptr, char *func);

#endif
